# When not doing betas comment this out
# NOTE: %defines in spec files are evaluated in comments so the correct
#       way to comment it out is to replace the % with #

Summary:    Dhvani Text-to-Speech Synthesizer for Indian languages
Name:       dhvani
Version:    0.9.2
Release:    0beta1%{?dist}
License:    GPLv3+
Group:      Applications/Multimedia
URL:        http://dhvani.sourceforge.net/
Source:     %{name}-%{version}beta1.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

# Generic build requirements
BuildRequires: alsa-lib

%description
Dhvani is a Text-to-Speech synthesizer for Indic languages.
It currently supports five languages including Hindi, Kannada,
Malayalam, Tamil and Telugu

%prep
%setup -q -n %{name}-%{version}beta1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
                                    --bindir=%{_bindir} \
                                    --datadir=%{_datadir} \
                                    --includedir=%{_includedir} \
                                    --libdir=%{_libdir} \
                                    --mandir=%{_mandir} \
                                    --sysconfdir=%{_sysconfdir} 

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/dhvani/database
cp -rf database/* $RPM_BUILD_ROOT%{_datadir}/dhvani/database

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/dhvani
%{_datadir}/dhvani/database/*

%doc AUTHORS
%doc COPYING
%doc COPYRIGHT
%doc ChangeLog
%doc NEWS
%doc README
#%doc %{_mandir}/man1/*

%changelog
* Fri Mar 31 2008 Rajeesh K Nambiar <rajeeshknambair@gmail.com>
- First spec file for Dhvani
